> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Products



## OpenAPI

````yaml https://api.vellaro.io/openapi.json post /api/v1/admin/imports/products
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/imports/products:
    post:
      tags:
        - admin
        - imports
      summary: Import Products
      operationId: import_products_api_v1_admin_imports_products_post
      parameters:
        - name: dry_run
          in: query
          required: false
          schema:
            type: boolean
            description: Preview senza scrivere (default)
            default: true
            title: Dry Run
          description: Preview senza scrivere (default)
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_import_products_api_v1_admin_imports_products_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_ImportResult_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    Body_import_products_api_v1_admin_imports_products_post:
      properties:
        file:
          type: string
          contentMediaType: application/octet-stream
          title: File
      type: object
      required:
        - file
      title: Body_import_products_api_v1_admin_imports_products_post
    ApiResponse_ImportResult_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/ImportResult'
            - type: 'null'
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[ImportResult]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ImportResult:
      properties:
        kind:
          type: string
          enum:
            - products
            - customers
          title: Kind
        dry_run:
          type: boolean
          title: Dry Run
        total:
          type: integer
          title: Total
        created:
          type: integer
          title: Created
        updated:
          type: integer
          title: Updated
        skipped:
          type: integer
          title: Skipped
        errors:
          type: integer
          title: Errors
        rows:
          items:
            $ref: '#/components/schemas/ImportRowResult'
          type: array
          title: Rows
      type: object
      required:
        - kind
        - dry_run
        - total
        - created
        - updated
        - skipped
        - errors
        - rows
      title: ImportResult
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ImportRowResult:
      properties:
        row:
          type: integer
          title: Row
        status:
          type: string
          enum:
            - created
            - updated
            - skipped
            - error
          title: Status
        identifier:
          type: string
          title: Identifier
        message:
          type: string
          title: Message
          default: ''
      type: object
      required:
        - row
        - status
        - identifier
      title: ImportRowResult
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````